[svlug] IP Chains and 2.4.0-x

Tin Le tin at le.org
Wed May 31 20:07:17 PDT 2000


Yes.  I have been playing with 2.3.x just to make sure all my existing
sw still works when I have to migrate up.

Did you remember to insmod the correct modules?  In the right order?
Such as below:

/sbin/insmod /lib/modules/$VERSION/net/ip_defrag.o
/sbin/insmod /lib/modules/$VERSION/net/netfilter_dev.o
/sbin/insmod /lib/modules/$VERSION/net/ipchains.o

Where VERSION is your running kernel version.

The above was working in 2.3.6x last I checked.  I have not booted the
most recent 2.3.99preX yet.  I do have 99pre8 compiled the other day.

Tin Le

----
http://tin.le.org
Internet Security and Firewall Consulting
Tin Le - tin at le.org

On Wed, 31 May 2000, Bill Schoolcraft wrote:

> Hello Family,
> 	I've been mucking with this issue since 2.3.49 and I'm
> convinced now that I'm doing something wrong. I've been compiling
> these newer kernels both here and at work and they work fine, BUT when
> I come home and go for that extra little IP Chains option for my
> server here at home I always get _ip chains, unsupported protocol_ and
> I've compiled the IP Chains options in, then out, in, then out.

> 	Is anyone out there who has run the >2.3.51 kernels with
> backwards IP Chains support ?






More information about the svlug mailing list